oracle.pg.text.solr

## Class SolrParameters

- java.lang.Object
- - oracle.pg.text.IndexParametersBase
  - - oracle.pg.text.solr.SolrParameters

-     public class SolrParameters
      extends IndexParametersBase

  This class manages the parameters and utilities for SolrCloud indexes

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConfigName()` Gets the configuration name used to create the SolrCloud collection where the index will be stored
    `int` | `getMaxShardsPerNode()` Gets the maximum shards per node used in the SolrCloud collection where the index will be stored.
    `int` | `getNumShards()` Gets the number of shards used in the SolrCloud collection where the index will be stored.
    `int` | `getReplicationFactor()` Gets the replication factor used in the SolrCloud collection where the index will be stored.
    `String` | `getSolrNodeSet()` Gets the node set used to store the SolrCloud collection.
    `String` | `getSolrServerUrl()` Gets the SolrCloud server URL used to connect to the Apache SolR Cloud service.
    `int` | `getZkTimeout()` Gets the Zookeeper timeout (in seconds) used for Apache SolR connections

    - ### Methods inherited from class oracle.pg.text.IndexParametersBase

      `getBatchSize, getCommitBatchSize, getNumConnections, getWriteTimeout`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getConfigName

          public String getConfigName()

      Gets the configuration name used to create the SolrCloud collection where the index will be stored
      Returns:
        the configuration name used to create the Apache SolR cloud collection where the index will be stored. Default value is set to opgconfig,

    - #### getMaxShardsPerNode

          public int getMaxShardsPerNode()

      Gets the maximum shards per node used in the SolrCloud collection where the index will be stored.
      Returns:
        a positive integer representing the maximum shards per node used in the SolrCloud collection. The default value is set 1.

    - #### getNumShards

          public int getNumShards()

      Gets the number of shards used in the SolrCloud collection where the index will be stored.
      Returns:
        a positive integer representing the number of shards used in the SolrCloud collection. The default value is set 2.

    - #### getReplicationFactor

          public int getReplicationFactor()

      Gets the replication factor used in the SolrCloud collection where the index will be stored.
      Returns:
        a positive integer representing the replication factor used in the SolrCloud collection. The default value is set 1.

    - #### getSolrNodeSet

          public String getSolrNodeSet()

      Gets the node set used to store the SolrCloud collection.
      Returns:
        a string representing the node set used to store the SolrCloud collection. E.g. node01:8983_solr,node02:8983_solr,node03:8983_solr

    - #### getSolrServerUrl

          public String getSolrServerUrl()

      Gets the SolrCloud server URL used to connect to the Apache SolR Cloud service.
      Returns:
        the SolrCloud server URL used to connect to the SolrCloud service. E.g., http://localhost:2181/solr

    - #### getZkTimeout

          public final int getZkTimeout()

      Gets the Zookeeper timeout (in seconds) used for Apache SolR connections
      Returns:
        a positive integer representing the timeout (in seconds) used to wait for a Zookeeper connection. The default value is set to 15.

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.